@font-face {
  font-family: "Lato";
  src: url("/assets/fonts/lato-regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: fallback;
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
@font-face {
  font-family: "Lato";
  src: url("/assets/fonts/lato-bold.woff2") format("woff2");
  font-weight: 700;
  font-style: normal;
  font-display: fallback;
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
@font-face {
  font-family: "Lato";
  src: url("/assets/fonts/lato-italic.woff2") format("woff2");
  font-weight: 400;
  font-style: italic;
  font-display: fallback;
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
@font-face {
  font-family: "Merriweather";
  src: url("/assets/fonts/merriweather-regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: fallback;
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
@font-face {
  font-family: "Merriweather";
  src: url("/assets/fonts/merriweather-bold.woff2") format("woff2");
  font-weight: 700;
  font-style: normal;
  font-display: fallback;
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
@font-face {
  font-family: "Merriweather";
  src: url("/assets/fonts/merriweather-italic.woff2") format("woff2");
  font-weight: 400;
  font-style: italic;
  font-display: fallback;
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
@font-face {
  font-family: "Virgil";
  src: url("/assets/fonts/virgil.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
:root {
  --font-family-sans: "Lato", -apple-system, "Helvetica Neue", sans-serif;
  --font-family-serif: "Merriweather", Georgia, serif;
  --font-family-mono: "Consolas", "Menlo", "Monaco", "source-code-pro", "Courier New", monospace;
  --font-family-handwritten: "Virgil", sans-serif;
  --line-height-headers: 1.1;
  --line-height-body: 1.5;
  --line-height-large: 1.75;
  --font-size-xs: 0.75rem;
  --font-size-s: 0.875rem;
  --font-size-m: 1rem;
  --font-size-l: 1.125rem;
  --font-size-xl: 1.25rem;
  --font-size-xxl: 1.5rem;
  --font-size-xxxl: 2rem;
  --font-size-xxxxl: 2.5rem;
  --color-text-header: hsl(0, 1%, 16%);
  --color-text-body: hsl(0, 3%, 21%);
  --color-text-muted: hsl(0, 1%, 44%);
  --color-primary: hsl(350, 67%, 50%);
  --color-primary-rotate: hsl(10, 73%, 54%);
  --color-primary-bg: hsl(0, 85%, 96%);
  --color-secondary: hsl(101, 45%, 56%);
  --color-secondary-rotate: hsl(120, 45%, 56%);
  --color-tertiary: hsl(49, 89%, 64%);
  --color-glint: hsl(210, 100%, 82%);
  --color-white: hsl(0, 0%, 100%);
  --color-background: hsl(30, 50%, 98%);
  --color-light: hsl(0, 6%, 93%);
  --color-dark: var(--color-text-header);
  --color-inline-code-background: hsla(53, 100%, 65%, 0.2);
  --space-xxxs: 0.25rem;
  --space-xxs: 0.375rem;
  --space-xs: 0.5rem;
  --space-s: 0.75rem;
  --space-m: 1rem;
  --space-l: 1.5rem;
  --space-xl: 2rem;
  --space-xxl: 2.5rem;
  --space-xxxl: 3rem;
  --space-xxxxl: 4rem;
  --border-radius: 0.375rem;
  --border: solid 2px var(--color-light);
  --shadow-xlarge: 4px 8px 20px hsl(0 0% 0% / 0.15);
  --shadow-large: 2px 4px 10px hsl(0 0% 0% / 0.1);
  --shadow-small: 1px 3px 6px hsl(0 0% 0% / 0.1);
}

@keyframes appear-then-fade {
  0%, 100% {
    opacity: 0;
  }
  5%, 60% {
    opacity: 1;
  }
}
@keyframes gradient-text {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 75% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}
*,
*::before,
*::after {
  box-sizing: border-box;
}

* {
  margin: 0;
  padding: 0;
}

html {
  overflow-y: scroll;
  height: 100%;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100%;
  background-color: var(--color-background);
  color: var(--color-text-body);
  line-height: var(--line-height-body);
  font-family: var(--font-family-sans);
  -webkit-font-smoothing: antialiased;
}

img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
}

input,
button,
textarea,
select {
  font: inherit;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: var(--color-text-header);
  line-height: var(--line-height-headers);
}

h1 {
  font-size: var(--font-size-xxxl);
}

h2 {
  font-size: var(--font-size-xxl);
}

h3 {
  font-size: var(--font-size-xl);
}

h4 {
  font-size: var(--font-size-l);
}

a {
  color: var(--color-primary);
  text-decoration: none;
  transition: color 200ms;
}
a:hover, a:focus, a:active {
  color: var(--color-primary-rotate);
}

ul, ol {
  list-style: none;
}

.navbar {
  position: sticky;
  top: 0;
  z-index: 10;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: var(--space-xs);
  padding: var(--space-xs);
  margin-bottom: var(--space-xxl);
  transition: background-color 200ms ease, box-shadow 250ms ease;
}
@media (min-width: 50rem) {
  .navbar {
    flex-direction: row;
    padding: var(--space-m);
    margin-bottom: var(--space-xxxl);
  }
}
.navbar--active {
  background-color: var(--color-white);
  box-shadow: var(--shadow-large);
}
.navbar__logo {
  display: flex;
  align-items: center;
}
.navbar svg {
  flex: 0 0 auto;
  height: 1.5rem;
  width: 1.5rem;
  color: var(--color-primary);
}
.navbar__brand {
  margin-left: var(--space-xxxs);
  height: 100%;
  display: flex;
  align-items: center;
  color: var(--color-text-header);
  font-weight: bold;
  font-size: var(--font-size-xxl);
}
.navbar__brand:hover, .navbar__brand:active, .navbar__brandfocus {
  color: var(--color-text-header);
  text-decoration: underline;
  text-decoration-thickness: 2px;
  text-underline-offset: 2px;
  text-decoration-color: var(--color-tertiary);
}
.navbar__links {
  display: none;
  align-items: center;
  flex-direction: column;
  gap: var(--space-xs);
  flex-basis: 100%;
}
@media (min-width: 50rem) {
  .navbar__links {
    display: flex;
    flex-direction: row;
    flex-basis: auto;
    gap: var(--space-m);
  }
}
.navbar__links > * {
  margin-top: var(--space-xs);
}
@media (min-width: 50rem) {
  .navbar__links > * {
    margin-top: 0;
  }
}
.navbar__link {
  font-weight: bold;
  color: var(--color-text-header);
}
.navbar__link:hover, .navbar__link:active, .navbar__link:focus {
  color: var(--color-text-header);
  text-decoration: underline;
  text-decoration-thickness: 2px;
  text-underline-offset: 4px;
  text-decoration-color: var(--color-tertiary);
}
@media (min-width: 50rem) {
  .navbar__toggle {
    display: none;
  }
}
.navbar__checkbox:checked ~ .navbar__links {
  display: flex;
}
.navbar__toggle-icon {
  position: relative;
  display: inline-flex;
  top: -0.4rem;
  width: 1.2rem;
  height: 0.2rem;
  margin-right: 0.125em;
  background-color: var(--color-text-header);
  border-radius: 0.5rem;
}
.navbar__toggle-icon::after, .navbar__toggle-icon::before {
  right: 0;
  transition-property: margin, transform;
  display: block;
  content: "";
  position: absolute;
  width: 1.7rem;
  height: 0.2rem;
  background-color: var(--color-text-header);
  border-radius: 0.5rem;
}
.navbar__toggle-icon::before {
  margin-top: -0.6rem;
}
.navbar__toggle-icon::after {
  margin-top: 0.6rem;
}
.navbar__checkbox:checked ~ .navbar__toggle .navbar__toggle-icon {
  background-color: rgba(0, 0, 0, 0);
}
.navbar__checkbox:checked ~ .navbar__toggle .navbar__toggle-icon::before, .navbar__checkbox:checked ~ .navbar__toggle .navbar__toggle-icon::after {
  margin-top: 0;
}
.navbar__checkbox:checked ~ .navbar__toggle .navbar__toggle-icon::before {
  transform: rotate(45deg);
}
.navbar__checkbox:checked ~ .navbar__toggle .navbar__toggle-icon::after {
  transform: rotate(-45deg);
}

.flash {
  position: fixed;
  top: 5.5rem;
  left: 50%;
  transform: translateX(-50%);
  z-index: 2;
  display: flex;
  justify-content: center;
  align-items: center;
  width: max-content;
  max-width: 100%;
  font-size: var(--font-size-s);
  background-color: var(--color-dark);
  padding: var(--space-xs) var(--space-m);
  border-radius: 999px;
  animation: appear-then-fade 4s both;
  animation-delay: 300ms;
}
.flash__icon {
  flex: 0 0 auto;
  color: var(--color-tertiary);
  height: 1.2rem;
  width: 1.2rem;
  margin-right: var(--space-xs);
}
.flash__message {
  flex: 1;
  color: var(--color-white);
}

.btn {
  position: relative;
  display: inline-block;
  font-family: var(--font-family-sans);
  padding: var(--space-xxs) var(--space-m);
  border-radius: var(--border-radius);
  background-origin: border-box;
  background-color: transparent;
  border: solid 2px transparent;
  font-weight: bold;
  text-decoration: none;
  cursor: pointer;
  outline: none;
  transition: filter 400ms, color 200ms;
}
.btn:hover, .btn:focus, .btn:focus-within, .btn:active {
  transition: filter 250ms, color 200ms;
}
.btn--primary {
  color: var(--color-white);
  background-image: linear-gradient(to right, var(--color-primary), var(--color-primary-rotate));
}
.btn--primary:hover, .btn--primary:focus, .btn--primary:focus-within, .btn--primary:active {
  color: var(--color-white);
  filter: saturate(1.4) brightness(115%);
}
.btn--secondary {
  color: var(--color-white);
  background-image: linear-gradient(to right, var(--color-secondary), var(--color-secondary-rotate));
}
.btn--secondary:hover, .btn--secondary:focus, .btn--secondary:focus-within, .btn--secondary:active {
  color: var(--color-white);
  filter: saturate(1.2) brightness(110%);
}
.btn--light {
  color: var(--color-dark);
  background-color: var(--color-light);
}
.btn--light:hover, .btn--light:focus, .btn--light:focus-within, .btn--light:active {
  color: var(--color-dark);
  filter: brightness(92%);
}
.btn--dark {
  color: var(--color-white);
  border-color: var(--color-dark);
  background-color: var(--color-dark);
}
.btn--dark:hover, .btn--dark:focus, .btn--dark:focus-within, .btn--dark:active {
  color: var(--color-white);
}
.btn--large {
  font-size: var(--font-size-l);
  padding: var(--space-s) var(--space-xl);
}
.btn--block {
  display: block;
  width: 100%;
  text-align: center;
}
.btn--outline {
  background-color: transparent;
  color: var(--color-dark);
}
.btn--with-icon {
  padding-left: calc(var(--space-m) + var(--space-l) + var(--space-xxs));
}
.btn--with-icon .btn__icon {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  left: var(--space-m);
  height: var(--space-l);
  width: var(--space-l);
}
.btn--icon {
  display: block;
  padding: var(--space-xxs);
}
.btn--icon svg {
  height: calc(var(--line-height-body) * 1em);
  width: calc(var(--line-height-body) * 1em);
}

.header {
  display: flex;
  flex-wrap: wrap;
  gap: var(--space-s);
  justify-content: space-between;
  margin-top: var(--space-m);
  margin-bottom: var(--space-l);
}
@media (min-width: 50rem) {
  .header {
    margin-bottom: var(--space-xl);
  }
}

.form__group {
  margin-bottom: var(--space-l);
}
.form__label {
  line-height: 1;
  display: inline-block;
  font-weight: bold;
  font-size: var(--font-size-s);
  margin-bottom: var(--space-xxxs);
}
.form__checkbox-label {
  line-height: 1;
  font-size: var(--font-size-s);
  display: inline-block;
  font-weight: bold;
  margin-left: 2px;
  transform: translateY(1px);
}
.form__input {
  display: block;
  width: 100%;
  max-width: 100%;
  padding: var(--space-xxs) var(--space-xs);
  border: var(--border);
  border-radius: var(--border-radius);
  outline: none;
  transition: box-shadow 250ms;
}
.form__input:focus {
  box-shadow: 0 0 0 2px var(--color-glint);
}
.form__input--invalid {
  border-color: var(--color-primary);
}
.form__error {
  display: block;
  font-size: var(--font-size-s);
  color: var(--color-primary);
}
.form__hint {
  display: block;
  font-size: var(--font-size-s);
  color: var(--color-text-muted);
}
.form--inline {
  display: flex;
  flex-wrap: wrap;
  gap: var(--space-xs);
}
.form--inline > .form__group {
  margin-bottom: 0;
  flex: 1;
}

.quote {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: var(--space-s);
  background-color: var(--color-white);
  border-radius: var(--border-radius);
  box-shadow: var(--shadow-small);
  margin-bottom: var(--space-m);
  padding: var(--space-xs);
}
@media (min-width: 50rem) {
  .quote {
    padding: var(--space-xs) var(--space-m);
  }
}
.quote__actions {
  flex: 0 0 auto;
  align-self: flex-start;
}

.quote-total {
  position: fixed;
  bottom: 0;
  width: 100%;
  font-size: var(--font-size-xl);
  font-weight: bold;
  background-color: var(--color-white);
  box-shadow: var(--shadow-large);
  padding-top: var(--space-xs);
  padding-bottom: var(--space-xs);
}
@media (min-width: 50rem) {
  .quote-total {
    padding-top: var(--space-m);
    padding-bottom: var(--space-m);
  }
}
.quote-total__inner {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.line-item-date {
  margin-top: var(--space-xl);
  margin-bottom: var(--space-xxs);
}
.line-item-date__header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: var(--space-xs);
}
.line-item-date__title {
  font-size: var(--font-size-xl);
}
@media (min-width: 50rem) {
  .line-item-date__title {
    font-size: var(--font-size-xxl);
  }
}
.line-item-date__body {
  border-radius: var(--border-radius);
  background-color: var(--color-white);
  box-shadow: var(--shadow-small);
  margin-top: var(--space-xs);
  padding: var(--space-xxs);
  padding-top: 0;
}
@media (min-width: 50rem) {
  .line-item-date__body {
    padding: var(--space-m);
  }
}
.line-item-date__footer {
  border: dashed 2px var(--color-light);
  border-radius: var(--border-radius);
  text-align: center;
  padding: var(--space-xxs);
}
@media (min-width: 50rem) {
  .line-item-date__footer {
    padding: var(--space-m);
  }
}

.line-item {
  display: flex;
  align-items: start;
  flex-wrap: wrap;
  background-color: var(--color-white);
  gap: var(--space-xs);
  margin-bottom: var(--space-s);
  padding: var(--space-xs);
  border-radius: var(--border-radius);
}
.line-item > * {
  margin-bottom: 0;
}
.line-item__name {
  flex: 1 1 100%;
  font-weight: bold;
}
@media (min-width: 50rem) {
  .line-item__name {
    flex: 1 1 0;
  }
}
.line-item__description {
  flex-basis: 100%;
  max-width: 100%;
  color: var(--color-text-muted);
  font-weight: normal;
  font-size: var(--font-size-s);
}
.line-item__quantity-price {
  flex: 0 0 auto;
  align-self: flex-end;
  justify-self: flex-end;
  order: 3;
  font-weight: bold;
}
@media (min-width: 50rem) {
  .line-item__quantity-price {
    display: none;
  }
}
.line-item__quantity {
  flex: 1;
  display: none;
}
@media (min-width: 50rem) {
  .line-item__quantity {
    display: revert;
    flex: 0 0 7rem;
  }
}
.line-item__price {
  flex: 1;
  display: none;
}
@media (min-width: 50rem) {
  .line-item__price {
    display: revert;
    flex: 0 0 9rem;
  }
}
.line-item__actions {
  order: 2;
  flex: 1 1 auto;
}
@media (min-width: 50rem) {
  .line-item__actions {
    order: revert;
    flex: 0 0 5.5rem;
  }
}
.line-item--form {
  box-shadow: var(--shadow-small);
}
.line-item--form .line-item__quantity,
.line-item--form .line-item__price {
  display: block;
}
.line-item--header {
  display: none;
  background-color: var(--color-light);
  margin-bottom: var(--space-s);
}
@media (min-width: 50rem) {
  .line-item--header {
    display: flex;
  }
}
.line-item--header > * {
  font-size: var(--font-size-s);
  font-weight: bold;
  letter-spacing: 1px;
  text-transform: uppercase;
}

.error-message {
  display: flex;
  align-items: start;
  gap: var(--space-xxxs);
  width: 100%;
  color: var(--color-primary);
  background-color: var(--color-primary-bg);
  padding: var(--space-xs);
  border-radius: var(--border-radius);
}
.error-message__icon {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-grow: 0;
  flex-shrink: 0;
  height: calc(var(--line-height-body) * 1em);
  width: calc(var(--line-height-body) * 1em);
}
.error-message__icon svg {
  transform: translateY(1px);
  height: var(--font-size-l);
  width: var(--font-size-l);
}

.article {
  line-height: var(--line-height-large);
  border-top: var(--border);
  border-bottom: var(--border);
  padding-bottom: var(--space-xxxl);
  background-color: var(--color-white);
  margin-bottom: var(--space-xxxxl);
}
.article__sponsor {
  margin-top: var(--space-l);
}
.article__previous-link {
  float: left;
}
.article__next-link {
  float: right;
}
.article__body {
  font-family: var(--font-family-serif);
  padding-top: 1px;
  font-size: var(--font-size-l);
}
.article__body > * {
  margin-bottom: calc(var(--line-height-large) * 1em);
}
.article__body ul {
  padding-left: var(--space-xl);
  list-style: disc;
}
.article__body ol {
  padding-left: var(--space-xl);
  list-style: decimal;
}
.article__body figcaption {
  line-height: 1;
  text-align: center;
  color: var(--color-text-muted);
  font-size: var(--font-size-m);
  font-style: italic;
}
.article__body h1,
.article__body h2,
.article__body h3,
.article__body h4,
.article__body h5,
.article__body h6 {
  font-family: var(--font-family-sans);
}
.article__body h2 {
  font-size: var(--font-size-xxxl);
  margin-top: var(--space-xxxxl);
  margin-bottom: var(--space-l);
}
.article__body h3 {
  font-size: var(--font-size-xxl);
  margin-top: var(--space-xxxl);
  margin-bottom: var(--space-l);
}
.article__body hr {
  border: none;
  border-bottom: var(--border);
}
.article__body p code,
.article__body li code {
  font-family: var(--font-family-mono);
  border-radius: var(--border-radius);
  color: inherit;
  background: var(--color-inline-code-background);
  line-height: 1.5;
  padding: 0.15em 0.2em;
}
.article__body svg {
  width: 100%;
  height: 100%;
}

.highlight {
  --background:#011627;
  --comment: #637777;
  --string: #ecc48d;
  --inherit: #c5e478;
  --number: #F78C6C;
  --error: #ec5f67;
  --constant: #82AAFF;
  --keyword: #c792ea;
  --class: #ffcb8b;
  --variable: #7fdbca;
  --text: #d6deeb;
  --html: #caece6;
}

.highlight:not(pre) {
  overflow: auto;
  background-color: var(--background);
  font-size: var(--font-size-m);
  border-radius: var(--border-radius);
  box-shadow: var(--shadow-small);
}
@media (min-width: 50rem) {
  .highlight:not(pre) {
    margin-right: calc(-1 * var(--space-l));
    margin-left: calc(-1 * var(--space-l));
  }
}
.highlight:not(pre) pre.highlight {
  float: left;
  overflow: auto;
  min-width: 100%;
  padding: var(--space-xxs) var(--space-s);
}
@media (min-width: 50rem) {
  .highlight:not(pre) pre.highlight {
    padding: var(--space-xs) var(--space-l);
  }
}

.highlight table td {
  padding: 5px;
}

.highlight table pre {
  margin: 0;
}

.highlight pre code {
  color: var(--text);
}

.highlight .cm {
  color: var(--comment);
}

.highlight .p {
  color: var(--comment);
}

.highlight .cp {
  color: var(--error);
}

.highlight .c1 {
  color: var(--comment);
}

.highlight .cs {
  --color: var(comment);
}

.highlight .c,
.highlight .ch,
.highlight .cd,
.highlight .cpf {
  color: var(--comment);
}

.highlight .err {
  color: var(--keyword);
}

.highlight .gd {
  color: var(--keyword);
  background-color: #ffdddd;
}

.highlight .ge {
  color: var(--keyword);
  font-style: italic;
}

.highlight .gr {
  color: #aa0000;
}

.highlight .gh {
  --color: var(comment);
}

.highlight .gi {
  color: var(--keyword);
  background-color: #ddffdd;
}

.highlight .go {
  color: #888888;
}

.highlight .gp {
  color: #555555;
}

.highlight .gu {
  color: #aaaaaa;
}

.highlight .gt {
  color: #aa0000;
}

.highlight .kc {
  color: var(--keyword);
}

.highlight .kd {
  color: var(--keyword);
}

.highlight .kn {
  color: var(--keyword);
}

.highlight .kp {
  color: var(--keyword);
}

.highlight .kr {
  color: var(--keyword);
}

.highlight .kt {
  color: var(--class);
}

.highlight .k, .highlight .kv {
  color: var(--keyword);
}

.highlight .mf {
  color: var(--number);
}

.highlight .mh {
  color: var(--number);
}

.highlight .il {
  color: var(--number);
}

.highlight .mi {
  color: var(--number);
}

.highlight .mo {
  color: var(--number);
}

.highlight .m,
.highlight .mb,
.highlight .mx {
  color: var(--number);
}

.highlight .sa {
  color: var(--keyword);
}

.highlight .sb {
  color: var(--string);
}

.highlight .sc {
  color: var(--string);
}

.highlight .sd {
  color: var(--string);
}

.highlight .s2 {
  color: var(--string);
}

.highlight .se {
  color: var(--string);
}

.highlight .sh {
  color: var(--string);
}

.highlight .si {
  color: var(--string);
}

.highlight .sx {
  color: var(--string);
}

.highlight .sr {
  color: #009926;
}

.highlight .s1 {
  color: var(--string);
}

.highlight .ss {
  color: var(--variable);
}

.highlight .s,
.highlight .dl {
  color: var(--string);
}

.highlight .na {
  color: var(--inherit);
}

.highlight .bp {
  --color: var(comment);
}

.highlight .nb {
  color: var(--text);
}

.highlight .nc {
  color: var(--class);
}

.highlight .no {
  color: var(--inherit);
}

.highlight .nd {
  color: var(--keyword);
}

.highlight .ni {
  color: var(--constant);
}

.highlight .ne {
  color: var(--constant);
}

.highlight .nf,
.highlight .fm {
  color: var(--constant);
}

.highlight .nl {
  color: var(--constant);
}

.highlight .nn {
  color: var(--inherit);
}

.highlight .nt {
  color: var(--html);
}

.highlight .n,
.highlight .p {
  color: var(--text);
}

.highlight .vc {
  color: var(--inherit);
}

.highlight .vg {
  color: var(--inherit);
}

.highlight .vi {
  color: var(--inherit);
}

.highlight .nv,
.highlight .vm {
  color: var(--inherit);
}

.highlight .ow {
  color: var(--keyword);
}

.highlight .o {
  color: var(--keyword);
}

.highlight .w {
  color: #bbbbbb;
}

.authentication {
  margin-bottom: var(--space-xxl);
}
.authentication__header {
  text-align: center;
  margin-bottom: var(--space-l);
}
@media (min-width: 50rem) {
  .authentication__header {
    margin-bottom: var(--space-xl);
  }
}
.authentication__title {
  font-size: var(--font-size-xxxl);
  margin-bottom: var(--space-xs);
}
.authentication__subtitle {
  font-size: var(--font-size-s);
}
.authentication__body {
  max-width: 30rem;
  margin-right: auto;
  margin-left: auto;
  background-color: var(--color-white);
  box-shadow: var(--shadow-small);
  border-radius: var(--border-radius);
  padding: var(--space-m);
}
@media (min-width: 50rem) {
  .authentication__body {
    padding: var(--space-l) var(--space-xl);
  }
}
.authentication__footer {
  text-align: center;
  margin-top: var(--space-m);
}

.chapter {
  display: block;
  margin-bottom: var(--space-xxl);
}
.chapter__number {
  color: var(--color-text-header);
  font-size: var(--font-size-l);
  font-weight: bold;
  line-height: 1;
  font-style: italic;
}
.chapter__title {
  margin-top: var(--space-xxs);
  font-size: var(--font-size-xxl);
  font-weight: bold;
  line-height: 1;
}
.chapter__title a {
  color: var(--color-text-header);
}
.chapter__title a:hover {
  color: var(--color-primary);
}
.chapter__excerpt {
  margin-top: var(--space-m);
  color: var(--color-text-body);
  font-family: var(--font-family-serif);
}
.chapter:hover .chapter__title {
  color: var(--color-primary);
}

.hero {
  margin-top: var(--space-m);
  padding-bottom: var(--space-xxxxl);
}
.hero__title {
  font-size: var(--font-size-xxxxl);
  font-family: var(--font-family-sans);
  margin-top: var(--space-s);
  margin-bottom: var(--space-xl);
}
@media (min-width: 50rem) {
  .hero__title {
    font-size: 3.5rem;
  }
}
.hero__repository {
  display: flex;
  gap: var(--space-xxs);
  margin-bottom: var(--space-xxs);
  font-style: italic;
}
@media (min-width: 50rem) {
  .hero__repository {
    float: right;
  }
}
.hero__date {
  font-style: italic;
  color: var(--color-text-muted);
  margin-bottom: var(--space-xs);
}
.hero__tagline {
  color: var(--color-text-body);
  font-family: var(--font-family-serif);
  font-weight: normal;
  font-size: var(--font-size-l);
}
@media (min-width: 50rem) {
  .hero__tagline {
    font-size: var(--font-size-xl);
  }
}

.note {
  text-align: center;
  font-style: italic;
  max-width: 40rem;
  margin-right: auto;
  margin-left: auto;
  color: var(--color-text-muted);
}

.empty-state {
  display: flex;
  flex-direction: column;
  align-items: center;
  border: dashed 2px var(--color-light);
  border-radius: var(--border-radius);
  padding: var(--space-m);
}
.empty-state__icon {
  color: var(--color-text-muted);
  height: 3rem;
  width: 3rem;
}
.empty-state__title {
  margin-top: var(--space-xs);
  font-weight: bold;
}
.empty-state__subtitle {
  color: var(--color-text-muted);
  margin-bottom: var(--space-m);
}

.footer {
  margin-top: auto;
  font-size: var(--font-size-l);
}
.footer__inner {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: column;
  margin-top: var(--space-xxxxl);
  padding: var(--space-xl) 0;
  border-top: var(--border);
}
@media (min-width: 50rem) {
  .footer__inner {
    flex-direction: row;
  }
}
.footer__links {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: var(--space-m);
}
.footer__link {
  display: flex;
  gap: var(--space-xxs);
  color: var(--color-text-body);
}
.footer__link:hover, .footer__link:focus, .footer__link:active {
  color: currentColor;
  text-decoration: underline;
  text-decoration-color: var(--color-tertiary);
  text-underline-offset: 4px;
  text-decoration-thickness: 2px;
}
.footer svg {
  flex: 0 0 auto;
  height: 1.5rem;
  width: 1.5rem;
  color: var(--color-text-muted);
}
.footer__tagline {
  display: flex;
  align-items: center;
  gap: var(--space-xxxs);
  font-style: italic;
  order: 2;
  margin-top: var(--space-l);
}
@media (min-width: 50rem) {
  .footer__tagline {
    order: revert;
    margin-top: 0;
  }
}
.footer__tagline svg {
  color: var(--color-primary);
}

.newsletter {
  text-align: center;
  background: linear-gradient(to right, var(--color-primary), var(--color-primary-rotate));
  border-radius: var(--border-radius);
  box-shadow: var(--shadow-large);
  padding: var(--space-m);
}
@media (min-width: 50rem) {
  .newsletter {
    padding: var(--space-xxl) var(--space-xxxxl);
  }
}
.newsletter__title {
  font-size: var(--font-size-xxxl);
  font-weight: bold;
  color: var(--color-white);
}
.newsletter__body {
  margin-top: var(--space-xs);
  font-size: var(--font-size-l);
  color: var(--color-white);
  opacity: 0.9;
  margin-bottom: var(--space-l);
}

.landing__hero {
  text-align: center;
  margin-bottom: var(--space-xxxl);
}
.landing__title {
  margin-bottom: var(--space-l);
  font-size: 3rem;
}
@media (min-width: 50rem) {
  .landing__title {
    font-size: 4rem;
  }
}
.landing__subtitle {
  color: inherit;
  font-weight: bold;
  text-align: center;
  margin-bottom: var(--space-l);
  font-family: var(--font-family-sans);
  font-size: var(--font-size-xxl);
}
@media (min-width: 50rem) {
  .landing__subtitle {
    font-size: var(--font-size-xxxxl);
  }
}
.landing__tagline {
  line-height: var(--line-height-large);
  font-family: var(--font-family-serif);
  margin-bottom: var(--space-l);
  font-size: var(--font-size-l);
}
@media (min-width: 50rem) {
  .landing__tagline {
    font-size: var(--font-size-xl);
  }
}
.landing__em {
  text-align: center;
  font-family: var(--font-family-handwritten);
  color: var(--color-text-muted);
  margin-bottom: var(--space-l);
  font-size: var(--font-size-xl);
}
@media (min-width: 50rem) {
  .landing__em {
    font-size: var(--font-size-xxl);
  }
}
.landing__em--primary {
  color: var(--color-primary);
}
.landing__em--secondary {
  color: var(--color-secondary);
}
.landing__em--tertiary {
  color: var(--color-tertiary);
}
.landing__pictures {
  padding: 0 1rem;
  margin-bottom: var(--space-xxxl);
  margin-right: auto;
  margin-left: auto;
}
@media (min-width: 50rem) {
  .landing__pictures {
    display: grid;
    gap: var(--space-m);
    grid-template-columns: 3fr 1fr 4fr;
    grid-template-rows: 4fr 1fr 1fr 2fr;
    grid-template-areas: "snippet date    date" "snippet logo    sketch" "snippet buttons sketch" "quote   buttons sketch";
    max-width: 1600px;
    padding: 0 3rem;
    margin-bottom: 8rem;
  }
}
.landing__pictures div:nth-child(1) {
  grid-area: buttons;
  place-self: start;
}
.landing__pictures div:nth-child(2) {
  display: block;
  grid-area: date;
  align-self: end;
}
@media (min-width: 50rem) {
  .landing__pictures div:nth-child(2) {
    max-width: 95%;
  }
}
.landing__pictures div:nth-child(3) {
  grid-area: snippet;
  place-self: center;
}
.landing__pictures div:nth-child(4) {
  max-width: 4rem;
  max-height: 4rem;
  grid-area: logo;
  place-self: center;
}
.landing__pictures div:nth-child(5) {
  grid-area: quote;
  max-width: 95%;
  justify-self: end;
}
.landing__pictures div:nth-child(6) {
  grid-area: sketch;
}
.landing__pictures img {
  width: 100%;
  height: auto;
  box-shadow: var(--shadow-xlarge);
  border-radius: var(--border-radius);
  display: none;
}
@media (min-width: 50rem) {
  .landing__pictures img {
    display: block;
  }
}
.landing__text {
  line-height: var(--line-height-large);
  margin-bottom: var(--space-xxxl);
}
@media (min-width: 50rem) {
  .landing__text {
    margin-bottom: 5rem;
  }
}
.landing__manifesto {
  margin-top: var(--space-l);
  font-family: var(--font-family-serif);
  background-color: white;
  box-shadow: var(--shadow-large);
  border-radius: var(--border-radius);
  padding: var(--space-m);
  font-size: var(--font-size-m);
}
@media (min-width: 50rem) {
  .landing__manifesto {
    font-size: var(--font-size-l);
    padding: var(--space-l);
  }
}
.landing__manifesto > p + p {
  margin-top: var(--space-xl);
}
.landing__features {
  position: relative;
  background-color: var(--color-dark);
  color: var(--color-white);
  padding-top: var(--space-xxl);
  padding-bottom: var(--space-xxl);
  margin-top: 5rem;
  margin-bottom: 4rem;
}
@media (min-width: 50rem) {
  .landing__features {
    padding-top: var(--space-xxxxl);
    padding-bottom: var(--space-xxxxl);
    margin-top: 12rem;
    margin-bottom: 9rem;
  }
}
.landing__features::before, .landing__features::after {
  position: absolute;
  right: 0;
  left: 0;
  content: "";
  display: block;
  background-color: var(--color-dark);
}
.landing__features::before {
  top: 0;
  transform: translateY(calc(-100% + 1px));
  border-radius: 59% 46% 0 0/100% 32% 0 0;
  height: 2rem;
}
@media (min-width: 50rem) {
  .landing__features::before {
    height: 4rem;
  }
}
.landing__features::after {
  bottom: 0;
  height: 2rem;
  transform: translateY(calc(100% - 1px));
  border-radius: 0 0 69% 34%/0 0 44% 50%;
}
.landing__lightning {
  overflow: hidden;
  display: none;
}
@media (min-width: 50rem) {
  .landing__lightning {
    display: block;
    position: absolute;
    color: var(--color-tertiary);
  }
}
.landing__lightning--left {
  top: 40px;
  left: 30px;
  transform: scale(1.2);
}
.landing__lightning--right {
  bottom: 40px;
  right: 70px;
  transform: rotate(-30deg);
}
.landing__lightning svg {
  height: min-content;
  width: 150px;
}
.landing__cards {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: var(--space-m);
  margin-bottom: var(--space-l);
}
@media (min-width: 50rem) {
  .landing__cards {
    margin-bottom: var(--space-xxxxl);
  }
}
.landing__card {
  flex: 0 1 25rem;
  padding: var(--space-m);
  border-radius: var(--border-radius);
  background-color: var(--color-text-body);
  margin-bottom: var(--space-s);
}
@media (min-width: 50rem) {
  .landing__card {
    margin-bottom: var(--space-l);
  }
}
.landing__card-header {
  font-weight: bold;
  text-align: center;
  border-bottom: var(--border);
  padding-bottom: var(--space-xxxs);
  margin-bottom: var(--space-m);
  font-size: var(--font-size-xl);
}
@media (min-width: 50rem) {
  .landing__card-header {
    font-size: var(--font-size-xxl);
  }
}
.landing__card-body {
  line-height: var(--line-height-large);
  font-size: var(--font-size-m);
}
@media (min-width: 50rem) {
  .landing__card-body {
    font-size: var(--font-size-l);
  }
}
.landing__learnings {
  margin-right: auto;
  margin-left: auto;
  max-width: max-content;
  font-size: var(--font-size-m);
}
@media (min-width: 50rem) {
  .landing__learnings {
    font-size: var(--font-size-xl);
  }
}
.landing__learnings li {
  margin-top: var(--space-xs);
  display: flex;
  align-items: center;
}
.landing__learnings svg {
  color: var(--color-tertiary);
  height: 1.2em;
  width: 1.2em;
  margin-right: var(--space-xxs);
}
.landing__profile {
  float: right;
  border: var(--border);
  height: 6rem;
  width: 6rem;
  border-radius: 50%;
}
@media (min-width: 50rem) {
  .landing__tweets-flex {
    display: flex;
    gap: var(--space-m);
    align-items: start;
  }
}
.landing__tweets-flex > * {
  flex: 1;
}
@media (min-width: 33rem) {
  .landing__tweets-col {
    columns: 2;
    column-gap: var(--space-m);
  }
}
@media (min-width: 50rem) {
  .landing__tweets-col {
    columns: 3;
  }
}
.landing__tweets-col > * {
  break-inside: avoid;
  -webkit-break-inside: avoid;
  padding-bottom: var(--space-xs);
}

.gradient-text {
  color: transparent;
  background: linear-gradient(to bottom right, var(--color-primary), var(--color-primary-rotate), var(--color-tertiary));
  background-clip: text;
  -webkit-background-clip: text;
  background-size: 200% 200%;
  animation: gradient-text 5s ease infinite;
}

.turbo-progress-bar {
  background: linear-gradient(to right, var(--color-primary), var(--color-primary-rotate));
}

.sponsor {
  font-family: var(--font-family-sans);
  padding: var(--space-m) var(--space-xxl);
  border-radius: var(--border-radius);
  box-shadow: var(--shadow-large);
  line-height: var(--line-height-body);
  background-color: var(--color-white);
  text-align: center;
}
.sponsor__title {
  font-weight: bold;
  font-size: var(--font-size-xxl);
  margin-bottom: var(--space-xxs);
}
.sponsor__body {
  margin-bottom: var(--space-m);
  font-size: var(--font-size-m);
}

.tweet {
  display: block;
  background-color: var(--color-white);
  border-radius: var(--border-radius);
  box-shadow: var(--shadow-small);
  padding: var(--space-s);
  margin-bottom: var(--space-xs);
}
.tweet__header {
  display: flex;
  align-items: center;
  line-height: 1;
  margin-bottom: var(--space-xs);
}
.tweet__avatar {
  height: var(--space-xxl);
  width: var(--space-xxl);
  border-radius: 50%;
  overflow: hidden;
  margin-right: var(--space-xxs);
}
.tweet__author {
  flex-grow: 1;
}
.tweet__name {
  color: var(--color-text-header);
  font-weight: bold;
  margin-bottom: 2px;
}
.tweet__handle {
  color: var(--color-text-muted);
  font-size: var(--font-size-s);
}
.tweet__logo {
  height: var(--space-l);
  width: var(--space-l);
  color: #1da1f2;
}
.tweet__body {
  color: var(--color-text-body);
}

.announcement {
  display: none;
  font-size: var(--font-size-m);
  justify-content: space-between;
  padding: var(--space-xxxs) var(--space-xs);
  background-image: linear-gradient(to right, var(--color-primary), var(--color-primary-rotate));
}
@media (min-width: 50rem) {
  .announcement {
    display: flex;
    padding: var(--space-xxxs) var(--space-m);
  }
}
.announcement__text {
  color: var(--color-white);
}
.announcement__link {
  font-weight: bold;
  color: var(--color-white);
}
@media (min-width: 50rem) {
  .announcement__link {
    margin-right: 2px;
  }
}
.announcement__link:hover {
  color: var(--color-white);
  text-decoration: underline;
}

.faq {
  line-height: var(--line-height-large);
}
.faq h2 {
  text-align: center;
  font-size: var(--font-size-xxxl);
  margin-top: var(--space-xxxxl);
  margin-bottom: var(--space-l);
}
.faq h3 {
  font-size: var(--font-size-xxl);
  margin-top: var(--space-xxxl);
  margin-bottom: var(--space-l);
}
.faq p {
  font-family: var(--font-family-serif);
  font-size: var(--font-size-l);
}

.container {
  width: 100%;
  padding-right: var(--space-xs);
  padding-left: var(--space-xs);
  margin-left: auto;
  margin-right: auto;
}
@media (min-width: 50rem) {
  .container {
    padding-right: var(--space-m);
    padding-left: var(--space-m);
    max-width: 60rem;
  }
}

.container--fluid {
  max-width: 100%;
}

.cluster {
  display: flex;
  gap: var(--space-xs);
}

.split {
  display: flex;
  gap: var(--space-s);
}
.split > * {
  flex: 1;
}

.center {
  margin-right: auto;
  margin-left: auto;
  max-width: 45rem;
}

.quote-show {
  margin-bottom: 5rem;
}
@media (min-width: 50rem) {
  .quote-show {
    margin-bottom: 7rem;
  }
}

.index {
  display: flex;
  align-items: baseline;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 2rem;
}
.index__main {
  flex: 0 1 40rem;
}
.index__side {
  flex-basis: 20rem;
}
.index__side h3 {
  margin-bottom: var(--space-xl);
}
.index__side svg {
  margin-bottom: var(--space-s);
}
.index__side a {
  display: inline-block;
}
.index__link {
  color: var(--color-text-muted);
  font-size: var(--font-size-s);
  margin-top: var(--space-l);
}
.index__link:hover {
  color: inherit;
}

.visually-hidden {
  position: absolute !important;
  width: 1px !important;
  height: 1px !important;
  padding: 0 !important;
  margin: -1px !important;
  overflow: hidden !important;
  clip: rect(0, 0, 0, 0) !important;
  white-space: nowrap !important;
  border: 0 !important;
}

.mb-xxl {
  margin-bottom: var(--space-xxl) !important;
}

.text-center {
  text-align: center;
}

.position-relative {
  position: relative;
}

.badge {
  display: inline-block;
  padding: 0 0.5rem;
  border-radius: 999px;
  background-color: var(--color-tertiary);
  font-weight: bold;
}